pkgbase=lunaos-firefox-settings
pkgname=('lunaos-firefox-settings-rus-gost' 'lunaos-firefox-settings')
pkgver=7
pkgrel=5
pkgdesc='LunaOS Firefox Settings'
license=(MPL-2.0)
arch=('any')
groups=('lunaos')
url="https://gitlab.com/LunaOS/iso/firefox/lunaos-firefox-settings"
source=('git+https://gitlab.com/LunaOS/iso/firefox/lunaos-firefox-settings')
sha256sums=('SKIP')

package_lunaos-firefox-settings() {
  conflicts=('lunaos-firefox-settings-gost' 'lunaos-firefox-settings-rus-gost')
  install -d "${pkgdir}/usr/lib/firefox/defaults/pref"
  install -d "${pkgdir}/usr/lib/firefox/distribution"
  install -d "${pkgdir}/etc/lunaos-firefox/themes"
  install -Dm 644 "${srcdir}/${pkgbase}/lunaos.cfg" "${pkgdir}/usr/lib/firefox/lunaos.cfg"
  install -Dm 644 "${srcdir}/${pkgbase}/themes/userChrome.css" "${pkgdir}/etc/lunaos-firefox/themes/userChrome.css"
  install -Dm 644 "${srcdir}/${pkgbase}/themes/userContent.css" "${pkgdir}/etc/lunaos-firefox/themes/userContent.css"
  install -Dm 644 "${srcdir}/${pkgbase}/themes/wallpaper.png" "${pkgdir}/etc/lunaos-firefox/themes/wallpaper.png"
  install -Dm 644 "${srcdir}/${pkgbase}/defaults/pref/autoconfig.js" "${pkgdir}/usr/lib/firefox/defaults/pref/autoconfig.js"
  install -Dm 644 "${srcdir}/${pkgbase}/distribution/policies.json" "${pkgdir}/usr/lib/firefox/distribution/policies.json"
}

package_lunaos-firefox-settings-rus-gost() {
  conflicts=('lunaos-firefox-settings')
  provides=('lunaos-firefox-settings-gost')
  replaces=('lunaos-firefox-settings-gost')
  install -d "${pkgdir}/usr/lib/firefox/defaults/pref"
  install -d "${pkgdir}/usr/lib/firefox/distribution"
  install -d "${pkgdir}/etc/lunaos-firefox/themes"
  install -Dm 644 "${srcdir}/${pkgbase}/lunaos.cfg" "${pkgdir}/usr/lib/firefox/lunaos.cfg"
  install -Dm 644 "${srcdir}/${pkgbase}/themes/userChrome.css" "${pkgdir}/etc/lunaos-firefox/themes/userChrome.css"
  install -Dm 644 "${srcdir}/${pkgbase}/themes/userContent.css" "${pkgdir}/etc/lunaos-firefox/themes/userContent.css"
  install -Dm 644 "${srcdir}/${pkgbase}/themes/wallpaper.png" "${pkgdir}/etc/lunaos-firefox/themes/wallpaper.png"
  install -Dm 644 "${srcdir}/${pkgbase}/defaults/pref/autoconfig.js" "${pkgdir}/usr/lib/firefox/defaults/pref/autoconfig.js"
  install -Dm 644 "${srcdir}/${pkgbase}/distribution/policies-gost.json" "${pkgdir}/usr/lib/firefox/distribution/policies.json"
  install -Dm 644 "${srcdir}/${pkgbase}/certificates/gost_1.crt" "${pkgdir}/etc/lunaos-firefox/certificates/gost_1.crt"
  install -Dm 644 "${srcdir}/${pkgbase}/certificates/gost_2.crt" "${pkgdir}/etc/lunaos-firefox/certificates/gost_2.crt"
}
